package com.cool.store.enums.notice;

/**
 * @Author suzhuhong
 * @Date 2025/7/25 10:05
 * @Version 1.0
 */
public enum TypeEnum {


    PERSON("人员","person", "按人员"),
    POSITION("人员","position", "按职位"),
    USER_GROUP("人员","userGroup", "按人员分组"),
    ORGANIZATION("人员","organization", "按组织架构"),
    REGION("门店","region", "按区域架构"),
    STORE("门店","store", "按门店架构"),
    GROUP("门店","group", "按门店分钟"),

    ;
    private String group;

    private String type;

    private String message;


    TypeEnum(String group, String type, String message) {
        this.group = group;
        this.type = type;
        this.message = message;
    }

    public String getGroup() {
        return group;
    }

    public String getType() {
        return type;
    }

    public String getMessage() {
        return message;
    }
}
